// This file is part of the PiDuce project (http://www.cs.unibo.it/Piduce/)
// developed at the Department of Computer Science of Bologna.
// Authors: Samuele Carpineti, Cosimo Laneve, Luca Padovani
//
// See Copyright for the status of this software.

using System;
using System.Text;
using PiDuce.Common;

namespace PiDuce.Compiler
{
#if false
	public class CompilerSchemaToTypeVisitor : SchemaToTypeVisitor
	{
		private readonly LocationContext locationContext;

		public CompilerSchemaToTypeVisitor(LocationContext locationContext)
		{
			this.locationContext = locationContext;
		}

		public override IType SchemaToType(ISchema s, IType continuation)
		{
			locationContext.Enter(s);
			try {
				IType res = base.SchemaToType(s, continuation);
				locationContext.Exit(s);
				return res;
			} catch (Exception) {
				locationContext.Exit(s);
				throw;
			}
		}

		protected override void IllegalSchema(ISchema s, string msg)
		{ CompilerOutput.Error(msg, locationContext.GetLocation(s)); }
	}
#endif
}
