using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace PiDuce.Common
{
  public class WebNamespace
  {
    public readonly static string WsdlSoapNamespace = "http://schemas.xmlsoap.org/wsdl/soap/";
    public readonly static string SoapNamespace = "http://schemas.xmlsoap.org/soap/";
    public readonly static string SoapEncNamespace = "http://schemas.xmlsoap.org/soap/encoding/";
    public readonly static string HttpNamespace = "http://schemas.xmlsoap.org/wsdl/http/";
    public readonly static string WsdlNamespace = "http://schemas.xmlsoap.org/wsdl/";
    public readonly static string XmlSchemaNamespace = "http://www.w3.org/2001/XMLSchema";
    public readonly static string XmlSchemaInstance = "http://www.w3.org/2001/XMLSchema-instance";
    public readonly static string PiDuceNamespace = "http://www.cs.unibo.it/PiDuce";
    public readonly static string PiDuceOpcodeNamespace = "http://www.cs.unibo.it/PiDuce/opcode";
    public readonly static string PiDuceValueNamespace = "http://www.cs.unibo.it/PiDuce/Values";
    public readonly static string PiDuceDefaultNamespace = "http://www.cs.unibo.it/PiDuce/Default";
    public readonly static string WsdlSoapNamespacePrefix = "soap";
    public readonly static string SoapEncodingStylePrefix = "soapenc";
    public readonly static string SoapNamespacePrefix = "soap";
    public readonly static string HttpNamespacePrefix = "http";
    public readonly static string WsdlNamespacePrefix = "wsdl";
    public readonly static string XmlSchemaNamespacePrefix = "xsd";
    public readonly static string XmlSchemaInstancePrefix = "xsi";
    public readonly static string PiDuceNamespacePrefix = "piduce";
    public readonly static string PiDuceOpcodeNamespacePrefix = "opcode";
    public readonly static string PiDuceValueNamespacePrefix = "pdcv";
    public readonly static string PiDuceDefaultNamespacePrefix = "pdcd";
    public static XmlNamespaceManager MakeDefaultXmlNamespaceManager(XmlNameTable table) 
    {
      XmlNamespaceManager nsmgr = new XmlNamespaceManager(table);
      nsmgr.AddNamespace(WsdlNamespacePrefix, WsdlNamespace);
      nsmgr.AddNamespace(XmlSchemaNamespacePrefix, XmlSchemaNamespace);
      nsmgr.AddNamespace(PiDuceNamespacePrefix, PiDuceNamespace);
      nsmgr.AddNamespace(SoapNamespacePrefix, SoapNamespace);
      nsmgr.AddNamespace(HttpNamespacePrefix, HttpNamespace);
      nsmgr.AddNamespace(SoapEncodingStylePrefix, SoapEncNamespace);
      nsmgr.AddNamespace(WsdlSoapNamespacePrefix, WsdlSoapNamespace);
      nsmgr.AddNamespace(XmlSchemaInstancePrefix, XmlSchemaInstance);
      nsmgr.AddNamespace(PiDuceValueNamespacePrefix, PiDuceValueNamespace);
      nsmgr.AddNamespace(PiDuceDefaultNamespacePrefix, PiDuceDefaultNamespace);
      nsmgr.AddNamespace(PiDuceOpcodeNamespacePrefix, PiDuceOpcodeNamespace);
      return nsmgr;
    }
  }
}
